Subject: bug#30073: 27.0.50; dired-do-delete ignores customization for short answers

From: Juri Linkov <[email-masked]>
Date: Tue, 16 Jan 2018 01:13:04 +0200

> Do we all agree on the following points?
>
> 1. Users advising the yes/no confirmation-prompt functions
>    is not a good solution to users wanting to sometimes (or
>    always) use a different prompting approach from the one
>    chosen by the author of the code that prompts.

I agree that advising the yes/no confirmation is not good
from a customization standpoint.

> 2. Choosing a single prompt approach (e.g. `y-or-n-p' or
>    `yes-or-no-p') for all contexts might be appropriate for
>    some users, but it is probably not a great idea in general.

Please see an optional argument ‘short’ that I added to my previous
patch.  It will allow using short answers even when customizable
variable is nil where code authors deem appropriate.

> 3. Even a given user might appreciate that a given prompting
>    context asks them using the slow approach (`yes-or-no-p')
>    at first, or most of the time, but she might sometimes,
>    or even generally after some experience, prefer that that
>    prompting context use a faster approach (e.g. `y-or-n-p').

I'm not sure if we need more fine-grained customization.
If the user decides that a short answer is enough, enough is enough.